#include <bits/stdc++.h>
using namespace std;

int main()
{
    string s;
    int x,y;
    cin>>s>>x>>y;
    char a= s[0];
    char b= s[1];
    if(abs(x-y)>=2 || a==b)
        cout<<"nemoguce";
    else
    {
        if(x>y)
        {
            for(int i=0;i<(x+y-1)/2 -1;i++)
            {
                cout<<a<<b;
            }
            cout<<a;
        }
        else if(x<y)
        {
            for(int i=0;i<(x+y-1)/2 -1;i++)
            {
                cout<<b<<a;
            }
            cout<<b;
        }
        else
        {
            for(int i=0;i<(x+y)/2;i++)
                cout<<b<<a;
        }
    }
    return 0;
}